Skip to main content
GET
/
v1
/
legal_holds
List legal holds
curl --request GET \
  --url https://app.notion.com/admin/v1/legal_holds \
  --header 'Authorization: Bearer <token>'
{
  "legal_holds": [
    {
      "id": "<string>",
      "startDate": 123,
      "users": {
        "ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "total": 123
      },
      "workspaces": {
        "ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "total": 123
      },
      "description": "<string>",
      "endDate": 123,
      "icon": "<string>",
      "lastEditedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "lastEditedTime": 123,
      "name": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.notion.com/llms.txt

Use this file to discover all available pages before exploring further.

Required scope: legal-hold:read
Returns all legal holds for your organization, both active and released.
The API does not guarantee a particular sort order for returned legal holds.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_cursor
string
user_id
string<uuid>

Response

next_cursor
string